---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: &app lidarr
  namespace: &namespace multimedia
spec:
  targetNamespace: *namespace
  commonMetadata:
    labels:
      app.kubernetes.io/name: *app
  components:
    - ../../../../flux/components/gatus/internal
    - ../../../../flux/components/volsync
  dependsOn:
    - name: external-secrets-stores
      namespace: external-secrets
    - name: rook-ceph-cluster
      namespace: rook-ceph
  #    - name: volsync
  path: ./kubernetes/apps/multimedia/lidarr/app
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  wait: true
  interval: 30m
  retryInterval: 1m
  timeout: 5m
  postBuild:
    substitute:
      APP: *app
      GATUS_SUBDOMAIN: *app
      VOLSYNC_CAPACITY: 5Gi
      VOLSYNC_ACCESSMODES: ReadWriteMany
      VOLSYNC_STORAGECLASS: ceph-filesystem
      VOLSYNC_SNAPSHOTCLASS: csi-ceph-filesystem
